- Qt 6.11
- Qt Quick
- QML Types
- AnimationController
- Qt 6.11.2 Reference Documentation

# AnimationController QML Type

Enables manual control of animations. More...

Import Statement: | `import QtQuick`

- List of all members, including inherited members

## Properties

- animation : Animation
- progress : real

## Methods

- void completeToBeginning()
- void completeToEnd()
- void reload()

## Detailed Description

Normally animations are driven by an internal timer, but the AnimationController allows the given animation to be driven by a progress value explicitly.

## Property Documentation

### animation : Animation `[default]`

This property holds the animation to be controlled by the AnimationController.

Note:An animation controlled by AnimationController will always have its `running` and `paused` properties set to true. It can not be manually started or stopped (much like an animation in a Behavior can not be manually started or stopped).

### progress : real

This property holds the animation progress value.

The valid `progress` value is 0.0 to 1.0, setting values less than 0 will be converted to 0, setting values great than 1 will be converted to 1.

## Method Documentation

### void completeToBeginning()

Finishes running the controlled animation in a backwards direction.

After calling this method, the animation runs normally from the current progress point in a backwards direction to the beginning state.

The animation controller's progress value will be automatically updated while the animation is running.

See also completeToEnd() and progress.

### void completeToEnd()

Finishes running the controlled animation in a forwards direction.

After calling this method, the animation runs normally from the current progress point in a forwards direction to the end state.

The animation controller's progress value will be automatically updated while the animation is running.

See also completeToBeginning() and progress.

### void reload()

Reloads the animation properties

If the animation properties changed, calling this method to reload the animation definations.